Ir ao conteúdo
  • Comunicados

    • Gabriel Torres

      Seja um moderador do Clube do Hardware!   12-02-2016

      Prezados membros do Clube do Hardware, Está aberto o processo de seleção de novos moderadores para diversos setores ou áreas do Clube do Hardware. Os requisitos são:   Pelo menos 500 posts e um ano de cadastro; Boa frequência de participação; Ser respeitoso, cordial e educado com os demais membros; Ter bom nível de português; Ter razoável conhecimento da área em que pretende atuar; Saber trabalhar em equipe (com os moderadores, coordenadores e administradores).   Os interessados deverão enviar uma mensagem privada para o usuário @Equipe Clube do Hardware com o título "Candidato a moderador". A mensagem deverá conter respostas às perguntas abaixo:   Qual o seu nome completo? Qual sua data de nascimento? Qual sua formação/profissão? Já atuou como moderador em algo outro fórum, se sim, qual? De forma sucinta, explique o porquê de querer ser moderador do fórum e conte-nos um pouco sobre você.   OBS: Não se trata de função remunerada. Todos que fazem parte do staff são voluntários.
Zarref

Servidor de E-mail com Painel de Controle

Recommended Posts

Olá pessoal!!

Estou montando uma Máquina que servirá como Servidor de Emails (SO: Linux Ubuntu Server 9.10) e para isso gostaria de uma dica sobre qual Software Utilizar, Postfix ou QMail!!

Estou em parceria na construção de um portal que permitirá ao usuários criarem as suas próprias contas de E-mail e administrá-la através de um Painel de Controle (como gmail, hotmail...)!

Existe alguma solução Livre que me possibilite essa estrutura, Ou terei que desenvolver o meu próprio Painel de Controle?

Ficaria grato com a Ajuda!

Abraço a Todos!

PS.: Estava com saudades do FORUM, passaeu muito tempo sem poder acessá-lo por motivos pessoais e a cada dia Ficava mais triste por não poder auxíliar colegas e ajudar no esclarecimento de dúvidas (que estão ao meu alcance).

:D

Compartilhar este post


Link para o post
Compartilhar em outros sites

Falae, utilize o postfix. Ele já está compilado e funcionando no ubuntu, já o qmail, você precisa compila-lo, essa tarefa pode ser um tanto quanto desastrosa para usuários pouco experientes....

Quanto ao cadastro de usuários, o postfix funciona com bases mysql.... ai fica fácil fácil você integrar um site que faça o cadastro do usuário....

O acesso via webmail, tem aos montes da internet... posso citar o roundcube que é bem legal....

Agora se você quer um sistema de e-mail muito parecido com esses "free's", tem o Zimbra, ele usa a mesma tecnologia utilizada pelo yahoo.... é bem interessante vale dar uma olhada, e se nao estou enganado, ele usa ou ldap ou mysql para armazenar os logins....

Compartilhar este post


Link para o post
Compartilhar em outros sites
Falae, utilize o postfix. Ele já está compilado e funcionando no ubuntu, já o qmail, você precisa compila-lo, essa tarefa pode ser um tanto quanto desastrosa para usuários pouco experientes....

Quanto ao cadastro de usuários, o postfix funciona com bases mysql.... ai fica fácil fácil você integrar um site que faça o cadastro do usuário....

O acesso via webmail, tem aos montes da internet... posso citar o roundcube que é bem legal....

Agora se você quer um sistema de e-mail muito parecido com esses "free's", tem o Zimbra, ele usa a mesma tecnologia utilizada pelo yahoo.... é bem interessante vale dar uma olhada, e se nao estou enganado, ele usa ou ldap ou mysql para armazenar os logins....

Ldap.

O mais interessante no seu caso é usar o Zimbra, ele possui todo um painel bem qualificado e rico em opções. Possui gráficos de uso das contas, como a carga do servidor também.

A integração com o site, como um painel de controle, talvez será a parte mais complicada, já que vai exigir conhecimento em PHP.

Compartilhar este post


Link para o post
Compartilhar em outros sites
  • Autor do tópico
  • Valeu Mesmo victor.sartori e anjoed

    Vou testar no próximo fim de semana numa Máquina Virtual, e postarei a resposta aqui com o link direto para o tutorial que criarei na medida que for desenvolvendo a atividade!

    Utilizarei o Zimbra, olhei o Site e gostei muito da interface que pode ser adaptada para o portal que estou criando!

    Agradeço pelas dicas!

    anjoed, se possível deixar esse tópico aberto para que eu poste o tutorial ficaria muito grato!

    Abraço A Todos e Um Ótimo Dia!

    PS.: O zimbra é gratúito???

    Editado por Zarref

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites

    O zimbra possui uma versão gratuita e outra paga.

    Ficará aberto. ;)

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites
  • Autor do tópico
  • Olá Pessoa!

    Probleminha na instalação do Zimbra!

    Ele solicitou a instalação da seguinte dependência: ligmp3

    Entretanto, esse pacote não possui candidato a instalação no repositório do Ubuntu (em nenhuma distro do ubuntu) nem encontro esse pacote por fora!

    http://packages.unbuntu.com

    Como posso proceder nesse caso?

    Obrigado!

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites

    use o debian, o ubuntu é um tanto quanto inseguro para servidores.....

    e outra, não seria: libgmp3.... libgmp3c2 libgmp3-dev libgmp3-doc ;)

    Editado por anjoed
    Não poste em sequência, use o botão editar.

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites

    Inseguro ? Baseado em que você diz isso ?

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites
  • Autor do tópico
  • Olá victor.sartori!

    Bom, posso te garantir, de experiência própria, que o Ubuntu é muito seguro para servidores. Já fiz Servidor WEB, Servidores de Aplicações Java (JBoss e Tomcat), servidor de rede, firewall e servidor de arquivos, nunca tive problema com invasão, perda de arquivos, baixo desempenho, etc...

    Todas essas experiências foram em Grades Corporações onde os Sistemas viviam em condições extremas uso!

    Essa é aprimeira vez que estou utilizando como servidor de e-mails e o único problema, até agora, é este pacote, mas isso é Critério de Instalação do Zimbra!

    Pacote defícil de encontrar! :)

    Abraços para todos do FORUM!

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites
    Inseguro ? Baseado em que você diz isso ?
    Ubuntu packages are based on packages from Debian's unstable branch:

    Fonte: http://en.wikipedia.org/wiki/Ubuntu_%28operating_system%29

    na forma de desenvolvimento. O ubuntu nada mais é do que um debian unstable, cheio de bugs, que os desenvolvedores pegam o repositório completo e constroem o ubuntu. As versões para servidores são um pouco menos afetadas porquê eles "seguram" mais tempo, mais mesmo assim ficam alguns bugs....

    Isso é simples de se notar pela quantidade de security updates que vem por semana em uma distribuição ubuntu....

    Nada contra, até uso em meus desktops (que não são pucos, uns 200) mas tudo que é muito novo e pouco testado, é inseguro....

    Editado por victor.sartori

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites

    Mil desculpas, mas e o windows ? Só porque eles lançam mensalmente o torna inseguro ?

    Só porque é baseado no debian unstable não quer dizer nada.

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites
  • Autor do tópico
  • Olá IltonNQA!!

    Também acho que devemos retomar o foco (embora seja super tentador argumentar sobre esse assunto)! rsrs

    Então, gostei do que você falou a respeito do tópico, muito obrigado, depois me diga o que interessou (O portal a que estou me referindo ou o problema?)!? :)

    Voltando ao Assunto principal:

    Realmente estou tendo grandes dificuldades para atender essa dependência do Zimbra e como o Ubuntu Server (Pelo que me parece) já veio com o Postfix instalado, vou utilizá-lo!

    Entretanto, seria interessante encontrarmos uma solução para este fato! Vou continur procurando a resposta para isso, e, assim que encontrar, postarei aqui!

    Abraço a Todos Do Forum!

    Viva o software livre!

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites
  • Autor do tópico
  • Olá victor.sartori, boa noite!!!

    Estou realizando essa atividade agora, respondo já se dará certo!!

    Entretanto, estou instalando o Debian numa máquina virtual para realizar os testes com ele também!

    Estou tendo uma certa dificuldade com sources.list do Debian, toda vez que tento atualizar meu servidor ele pede para inserir o CD de pacotes adicionais, mesmo existindo outros repositórios no sources.list!!

    Valeu!

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites

    ele está pedindo o CD porque o CD é um dos repositórios, para remover o CD do repositório edite o arquivo /etc/apt/sources.list e comente/romova a linha que começa com deb cdrom[Label_do_CD] ...

    Zarref, talvez esse tutorial ajude em algo

    http://www.vivaolinux.com.br/artigo/HOWTO-Postfix-+-MySQL-+-SMTPAUTH-+-Quota-+-SpamAssassin-+-ClamAV/

    Editado por anjoed
    Não poste em sequência, use o botão editar.

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites
  • Autor do tópico
  • Olá Ilton!

    Era exatamente isso!

    Agora vou testar a instalação do Zimbra no debian!

    Abraços!

    Editado por Zarref

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites
  • Autor do tópico
  • Caro Cesar Fabri!!!

    Esse material está ótimo, show de Bola!

    Estou realizando a instalação Agora e assim que terminar porto aqui os resultados!

    Valeu!

    """ Também acho que devemos retomar o foco (embora seja super tentador argumentar sobre esse assunto)! """

    rsrsrs escreví isso para abrandar as águas!!!

    mas é uma verdade, concorda???

    Abraços!

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites
  • Autor do tópico
  • Ok Ilton,

    Já estou baixando para testá-lo também!

    o portal que estou ajudando a desenvolver é algo grande e eu faço questão de priorizar a utilização de programas Lives!!

    Abraço a todos e até já já!

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites

    Zarref neste momento estou tento este erro:

    /usr/bin/perl: symbol lookup error: /opt/zimbra/zimbramon/lib/i486-linux-gnu-thread-multi/auto/IO/IO.so: undefined symbol: Perl_Tstack_sp_ptr

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites
  • Autor do tópico
  • Cesar, Qual a sua versão do Debian??

    A minha é a 5.0.3

    essa falha não ocorreu comigo!

    Entretanto, tive que executar o install.sh da seguinte forma:

    # ./install.sh --platform-override

    Por incompatibilidade das versões descritas no zimbra e no meu debian!

    Para você ver a versão do debian que você está utilizado, digita:

    #cat /etc/ebian_version

    Entretanto o meu ainda está na instalação!

    O tutorial diz o seguinte::::::

    Depois de descompactado devemos “enganar” o script de instalação para que ele reconheça o Debian 5 como um Debian 4 e aceite o novo pacote atualizado libgmp3. Para isso ele lê o /etc/debian_version e compara com a destinada à instalação. Para enganar faça:

    # cd zcs-5.0.18_GA_3011.DEBIAN4.0.20090707170635/bin

    # vi get_plat_tag.sh

    Procure a linha que contém grep “4.0″ /etc/debian_version > /dev/null 2>&1 e substitua o 4.0 pelo valor que está no /etc/debian_version. Por exemplo, para o Debian 5.0.2 a nova linha seria grep “5.0.2″ /etc/debian_version > /dev/null 2>&1 .

    ---------

    Valeu!

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites

    Zarref, estou usando o UBUNTU 9.04. Já tinha uma máquina rodando alguns serviços aqui em casa como o Postgresql, Samba, Tomcat para estudos e não quis instalar outra Distro... emfim, vamos ver se consigo ainda hoje fazer a instalação completa.

    Se eu conseguir, posto o resultado ou se alguem souber como, coloca ai pra gente.

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites

    mais já saiu a versão 6 do ZCS, ela funciona direitinho no debian 5, esses problemas aconteciam por causa da versão do perl....

    Compartilhar este post


    Link para o post
    Compartilhar em outros sites

    Crie uma conta ou entre para comentar

    Você precisar ser um membro para fazer um comentário






    Sobre o Clube do Hardware

    No ar desde 1996, o Clube do Hardware é uma das maiores, mais antigas e mais respeitadas publicações sobre tecnologia do Brasil. Leia mais

    Direitos autorais

    Não permitimos a cópia ou reprodução do conteúdo do nosso site, fórum, newsletters e redes sociais, mesmo citando-se a fonte. Leia mais

    ×